<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * 携帯管理の表示
 *
 * @package     NetCommons
 * @author      Noriko Arai,Ryuji Masukawa
 * @copyright   2006-2007 NetCommons Project
 * @license     http://www.netcommons.org/license.txt  NetCommons License
 * @project     NetCommons Project, supported by National Institute of Informatics
 * @access      public
 */
class Mobile_View_Admin_Init extends Action
{
    // リクエストパラメータを受け取るため
	var $module_id = null;

    // 使用コンポーネントを受け取るため
	var $mobileView = null;
	var $configView = null;

    // 値をセットするため
	var $modules = null;
	var $default_module = null;
	var $allow_emulator = null;

    /**
     * execute処理
     *
     * @access  public
     */
    function execute()
    {
		$config = $this->configView->getConfig($this->module_id, false);
		if ($config === false) {
    		return false;
    	}
    	$this->default_module = $config['default_module']['conf_value'];
    	$this->allow_emulator = $config['allow_emulator']['conf_value'];

		$this->modules = $this->mobileView->getModules();
       	return 'success';
    }
}
?>